Download it now!
Bug 96514 - LOKView zoom-level property doesn't notify changes
Summary: LOKView zoom-level property doesn't notify changes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Pranav Kant
URL:
Whiteboard: target:5.2.0 target:5.1.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-15 16:42 UTC by Bastien Nocera
Modified: 2016-10-25 19:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bastien Nocera 2015-12-15 16:42:09 UTC
Usually, properties should call "g_object_notify()" for the property that changed when their value changes.

_set_zoom() doesn't do this:
http://cgit.freedesktop.org/libreoffice/core/tree/libreofficekit/source/gtk/lokdocview.cxx#n2475
Comment 1 Commit Notification 2015-12-30 09:48:10 UTC
Pranav Kant committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=398ef76d5dc3ec1ed22fa1d9fd9151b61cce54e2

tdf#96514: Emits a 'notify' signal when zoom changes

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-01-11 10:15:19 UTC
Pranav Kant committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1fb882cb1e2eedbef688cf2b3a2ca9322486c9cb&h=libreoffice-5-1

tdf#96514: Emits a 'notify' signal when zoom changes

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.